using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Blu
{
    public class Strings
    {
        public string[] stringsList;
        public long[] offsetsList;

        public Strings(BinaryReader br)
        {
            char chr;
            stringsList = new string[Map.header.stringCount];
            offsetsList = new long[Map.header.stringCount];

            br.BaseStream.Position = Map.header.stringsIndex;
            //gather offsets
            for (int x = 0; x < Map.header.stringCount; x++)
                offsetsList[x] = Map.header.stringsOffset + br.ReadInt32();

            br.BaseStream.Position = Map.header.stringsOffset;
            //gather strings
            for (int x = 0; x < Map.header.stringCount; x++)
            {
                stringsList[x] = "";
                while ((chr = br.ReadChar()) != '\0')
                    stringsList[x] += chr;
            }
        }
    }
}
