using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Visual_Scenery_Mover
{
    public class Sky
    {
        public Fog fog = new Fog();
        public bool fogenabled = false;
        public Sky()
        {
        }
        public Sky(int tag, string mapLoc, Tags.TagInfo[] tagInfo, Int32 secondaryMagic)
        {
            BinaryReader br = new BinaryReader(new FileStream(mapLoc,
                    FileMode.Open, FileAccess.Read, FileShare.ReadWrite));

            br.BaseStream.Position = tagInfo[tag].MetaOffset + 72;
            int tempc = br.ReadInt32();
            int tempr = br.ReadInt32() - secondaryMagic;
            if (tempc != 0)
            {
                fogenabled = true;
                br.BaseStream.Position = tempr;
                fog.R = br.ReadSingle();
                fog.G = br.ReadSingle();
                fog.B = br.ReadSingle();
                fog.A = br.ReadSingle();
                fog.Start = br.ReadSingle();
                fog.End = br.ReadSingle();
            }

            br.BaseStream.Position = tagInfo[tag].MetaOffset + 96;
            tempc = br.ReadInt32();
            tempr = br.ReadInt32() - secondaryMagic;
            if (tempc != 0)
            {
                br.BaseStream.Position = tempr + 24;
                fog.FogThickness = br.ReadSingle();
                fog.FogVisibility = br.ReadSingle();
            }
            br.Close();
        }
        public class Fog
        {
            public float R, G, B, A, Start, End, FogThickness, FogVisibility;
        }
    }
}
