using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Visual_Scenery_Mover
{
    public class Index
    {
        public Int32
        constant,
        primaryMagic,
        offsetOfObjectIndex,
        objectCount,
        secondaryMagic;

        public Index(BinaryReader br, Int32 indexOffset, Int32 indexSizeAndMetaStart)
        {
            //the starting point of the index
            br.BaseStream.Position = indexOffset;

            constant = br.ReadInt32();

            //math to get our primary magic :P
            primaryMagic = constant - (indexOffset + 32);

            br.BaseStream.Position += 4;

            //the objects index (the tags)
            offsetOfObjectIndex = br.ReadInt32() - primaryMagic;

            br.BaseStream.Position += 12;

            //the total amount of tags in the map
            objectCount = br.ReadInt32();

            br.BaseStream.Position = offsetOfObjectIndex + 8;

            //calculated secondary magic
            secondaryMagic = br.ReadInt32() - (indexOffset + indexSizeAndMetaStart);
        }
    }
}
