using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Dark
{
    public partial class TransferForm : Form
    {
        public TransferForm(Map TagMap, int TagIndx, MapForm DestinationMF)
        {
            InitializeComponent();

            Tag tg = TagMap.tags.tagsList[TagIndx];

            if (MessageBox.Show("You have requested to transfer \r\n" +
                tg.Type + " - " + tg.Path + "\r\nfrom\r\n" + Path.GetFileName(TagMap.path) +
                "\r\nto\r\n" + Path.GetFileName(DestinationMF.map.path) + ". \r\nContinue?",
                "", MessageBoxButtons.YesNo, MessageBoxIcon.Information)
                == DialogResult.No) this.Close();
        }

        private void TransferForm_Shown(object sender, EventArgs e)
        {
            //start transfer'in :P
        }
    }
}