using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Visual_Scenery_Mover
{
    public class HaloLight
    {
        public int range;
        public int r;
        public int g;
        public int b;

        public HaloLight(int tagnum, string mapLoc, Tags.TagInfo[] tagInfo)
        {
            BinaryReader br = new BinaryReader(new FileStream(mapLoc,
                    FileMode.Open, FileAccess.Read, FileShare.ReadWrite));

            br.BaseStream.Position = tagInfo[tagnum].MetaOffset + 72;
            range = br.ReadInt32();
            r = (int)(br.ReadSingle() * 255);
            g = (int)(br.ReadSingle() * 255);
            b = (int)(br.ReadSingle() * 255);

            br.Close();
        }
    }
}
