using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Visual_Scenery_Mover
{
    public partial class SelectExternalMap : Form
    {
        Header.MapTypes mtype;
        public SelectExternalMap(string txt, Header.MapTypes mt)
        {
            InitializeComponent();
            label1.Text = txt;
            mtype = mt;
            o.FileName = txt;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (o.ShowDialog() == DialogResult.Cancel) return;
            textBox1.Text = o.FileName;
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            button4.Enabled = (File.Exists(textBox1.Text));
        }

        private void button4_Click(object sender, EventArgs e)
        {
            switch (mtype)
            {
                case Header.MapTypes.MainMenu:
                    Pref.mainmenuLoc = textBox1.Text;
                    break;
                case Header.MapTypes.MPShared:
                    Pref.MPSharedLoc = textBox1.Text;
                    break;
                case Header.MapTypes.SPShared:
                    Pref.SPSharedLoc = textBox1.Text;
                    break;
            }
            Pref.SavePreferences();
            this.Close();
        }
    }
}