using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Visual_Scenery_Mover
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            using (Form1 frm = new Form1())
            {
                frm.Show();

                if (frm.InitializeGraphics())
                    frm.LoadTriangle();

                // While the form is still valid, render and process messages
                while (frm.Created)
                {
                    frm.Render();
                    Application.DoEvents();
                }
            }
        }
    }
}